html {
	scroll-behavior: smooth;
	scroll-padding-top: 70px;
}

.brand-card.hidden-card {
	display: none;
}

.brand-card.show-card {
	animation: revealCard 0.6s ease forwards;
}

.brand-card img {
	filter: grayscale(100%);
	opacity: 0.7;
	transition: all 0.4s ease;
}

.brand-card:hover img {
	filter: grayscale(0%);
	opacity: 1;
}

@keyframes revealCard {
	from {
		opacity: 0;
		transform: translateY(24px);
	}
	
	to {
		opacity: 1;
		transform: translateY(0);
	}
}

@font-face {
  font-family: "Helixa";
  font-weight: 100;
  src: url("./fonts/Helixa-Thin.woff2") format("woff2");
}

@font-face {
  font-family: "Helixa";
  font-weight: 400;
  src: url("./fonts/Helixa-Regular.otf") format("opentype");
}

@font-face {
  font-family: "Helixa";
  font-weight: 700;
  src: url("./fonts/Helixa-Bold.otf") format("opentype");
}

@font-face {
  font-family: "ValenciaSerial";
  font-weight: 200;
  src: url("./fonts/ValenciaSerial-Xlight.ttf") format("truetype");
}

@font-face {
  font-family: "ValenciaSerial";
  font-weight: 400;
  src: url("./fonts/Valencia-Serial-Regular.ttf") format("truetype");
}

@font-face {
  font-family: "ValenciaSerial";
  font-weight: 500;
  src: url("./fonts/ValenciaSerial-Medium.ttf") format("truetype");
}

@font-face {
  font-family: "ValenciaSerial";
  font-weight: 700;
  src: url("./fonts/ValenciaSerial-Bold.ttf") format("truetype");
}
h1,
h2,
h3,
h4,
h5 {
  font-family: "ValenciaSerial", sans-serif;
  font-weight: 100 !important;
}

body,
p,
a,
h6 {
  font-family: "Helixa", sans-serif;
  font-weight: 400;
}
h2 {
  font-size: 30px !important;
  line-height: 1.15 !important;
  color: #d32027 !important;
}

h3 {
  font-size: 24px !important;
  line-height: 1.2;
}

h4 {
  font-size: 20px !important;
}

h5 {
  font-size: 24px !important;
  line-height: 1.3;
}

h6 {
  font-size: 20px !important;
  line-height: 1.4;
}

p {
  font-size: 17px !important;
  font-weight: 400;
  line-height: 1.4 !important;
}

a {
  font-size: 16px !important;
  font-weight: 500;
  line-height: 1.5;
}

@media (max-width: 991px) {
  h1 {
    font-size: 56px !important;
    line-height: 1.1;
  }
  p {
    font-size: 16px !important;
  }
}

@media (max-width: 767px) {
  h1,
  h2,
  h3,
  h4,
  h5 {
    font-family: "ValenciaSerial", Xlight !important;
  }
  p,
  a,
  h6,
  body {
    font-family: "Helixa, Regular", sans-serif !important;
  }
  h1 {
    font-size: 42px !important;
    line-height: 1.1;
  }
}
.text-12px {
  font-size: 14px !important;
  letter-spacing: 2px !important;
}
.valencia-font {
  font-family: "ValenciaSerial", Xlight !important;
}

#mainHeader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 10001;
  transition: all 0.4s ease;
}

#mainHeader.scrolled,
#mainHeader.menuActive {
  background: #fff;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.08);
}

#navbarContainer {
  max-width: 1280px;
  margin: auto;
  padding: 10px 30px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  transition: all 0.4s ease;
}

#logoImage {
  height: 60px;
  transition: all 0.4s ease;
}

#mainHeader.scrolled #logoImage,
#mainHeader.menuActive #logoImage {
  height: 50px;
}

#desktopNav {
  display: flex;
  align-items: center;
  gap: 50px;
}

.navLink {
  position: relative;
  text-decoration: none;
  color: #666;
  text-transform: uppercase;
  transition: all 0.3s ease;
}

.navLink::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -6px;
  width: 0;
  height: 2px;
  background: #d32027;
  transition: width 0.3s ease;
}

.navLink:hover::after {
  width: 100%;
}

#auditBtn {
  text-decoration: none;
  background: #e52323;
  color: #ffffff;
  padding: 8px 12px;
  border-radius: 3px;
  text-transform: uppercase;
  transition: 0.3s ease;
}

#auditBtn:hover {
  background-color: #666;
}

#mainHeader.scrolled .navLink,
#mainHeader.menuActive .navLink {
  color: #666;
}

#mobileToggleBtn {
  width: 50px;
  height: 50px;
  display: none;
  border: none;
  background: none;
  position: relative;
  cursor: pointer;
  z-index: 10002;
}

#mobileToggleBtn span {
  position: absolute;
  left: 50%;
  width: 28px;
  height: 2px;
  background: #666;
  transform: translateX(-50%);
  transition: all 0.4s cubic-bezier(0.4, 0, 0.2, 1);
}

#mobileToggleBtn span:nth-child(1) {
  top: 16px;
}

#mobileToggleBtn span:nth-child(2) {
  top: 24px;
}

#mobileToggleBtn span:nth-child(3) {
  top: 32px;
}

#mobileToggleBtn.active span:nth-child(1) {
  top: 24px;
  transform: translateX(-50%) rotate(45deg);
}

#mobileToggleBtn.active span:nth-child(2) {
  opacity: 0;
}

#mobileToggleBtn.active span:nth-child(3) {
  top: 24px;
  transform: translateX(-50%) rotate(-45deg);
}

#mainHeader.scrolled #mobileToggleBtn span,
#mainHeader.menuActive #mobileToggleBtn span {
  background: #666;
}

#fullscreenMenu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;

  background: #ffffff;

  display: flex;
  justify-content: center;
  align-items: center;

  opacity: 0;
  visibility: hidden;

  transform: translateY(-100%);

  transition:
    transform 0.7s cubic-bezier(0.77, 0, 0.175, 1),
    opacity 0.5s ease,
    visibility 0.5s ease;

  z-index: 9999;
}

#fullscreenMenu.active {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

#fullscreenMenuInner {
  width: 100%;
  height: 100%;

  display: flex;
  justify-content: center;
  align-items: center;
}

#mobileNav {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 18px;
}

.mobileLink {
  text-decoration: none;
  color: #666;

  text-transform: uppercase;

  font-size: 16px !important;
  font-weight: 400;

  opacity: 0;
  transform: translateY(30px);

  transition:
    opacity 0.6s ease,
    transform 0.6s ease;
}

#fullscreenMenu.active .mobileLink {
  opacity: 1;
  transform: translateY(0);
}

.mobileLink:nth-child(1) {
  transition-delay: 0.1s;
}
.mobileLink:nth-child(2) {
  transition-delay: 0.15s;
}
.mobileLink:nth-child(3) {
  transition-delay: 0.2s;
}
.mobileLink:nth-child(4) {
  transition-delay: 0.25s;
}
.mobileLink:nth-child(5) {
  transition-delay: 0.3s;
}

.mobileLink:hover {
  transform: translateY(-3px);
}

#mobileAuditBtn {
  margin-top: 20px;

  background: #d32027;
  color: #ffffff;

  padding: 15px 30px;
  border-radius: 999px;

  text-decoration: none;
  text-transform: uppercase;

  opacity: 0;
  transform: translateY(30px);

  transition:
    opacity 0.6s ease 0.35s,
    transform 0.6s ease 0.35s;
}

#fullscreenMenu.active #mobileAuditBtn {
  opacity: 1;
  transform: translateY(0);
}

body.menuOpen {
  overflow: hidden;
}

@media (max-width: 1024px) {
  #desktopNav {
    display: none;
  }

  #mobileToggleBtn {
    display: block;
  }

  #navbarContainer {
    padding: 20px;
  }

  #logoImage {
    height: 50px;
  }
}
#fullscreenMenu {
  position: fixed;

  top: 90px;
  left: 0;

  width: 100%;
  height: calc(100vh - 90px);

  background: #ffffff;

  display: flex;
  justify-content: center;
  align-items: center;

  opacity: 0;
  visibility: hidden;

  transition:
    opacity 0.4s ease,
    transform 0.5s ease,
    visibility 0.4s ease;

  z-index: 9999;
}

#fullscreenMenu.active {
  opacity: 1;
  visibility: visible;
}
.text-white {
  color: white !important;
}
.text-custom-gray {
  color: #666 !important;
}
